<?php
/**
 * All settings related to footer recommended post.
 *
 * @package TruthMag
 */
$wp_customize->add_section(
	'split_block',
	array(
		'title' => esc_html__( 'Split Block Section', 'truthmag' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'truthmag_options[enable_split_block]',
    array(
        'default'           => $truthmag_default['enable_split_block'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_split_block]',
    array(
        'label'       => esc_html__( 'Enable Split Block', 'truthmag' ),
        'section'     => 'split_block',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
  'truthmag_options[split_block_title]',
  array(
      'default' => $truthmag_default['split_block_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'truthmag_options[split_block_title]',
  array(
      'label' => __('Section Title', 'truthmag'),
      'section' => 'split_block',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
    'truthmag_options[split_block_category]',
    array(
        'default'           => $truthmag_default['split_block_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new Truthmag_Dropdown_Taxonomies_Control(
        $wp_customize,
        'truthmag_options[split_block_category]',
        array(
            'label'           => __( 'Choose Category', 'truthmag' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'truthmag' ),
            'section'         => 'split_block',
        )
    )
);


$wp_customize->add_setting(
    'truthmag_options[split_block_offset]',
    array(
        'default' => $truthmag_default['split_block_offset'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'truthmag_options[split_block_offset]',
    array(
        'label' => __('Post Offset', 'truthmag'),
        'section' => 'split_block',
        'type' => 'number',
    )
);


$wp_customize->add_setting(
    'truthmag_options[enable_split_block_author_meta]',
    array(
        'default' => $truthmag_default['enable_split_block_author_meta'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_split_block_author_meta]',
    array(
        'label' => esc_html__('Display Author Meta', 'truthmag'),
        'section' => 'split_block',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_split_block_author_meta]',
    array(
        'default' => $truthmag_default['select_split_block_author_meta'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_split_block_author_meta]',
    array(
        'label' => esc_html__('Select Author Meta', 'truthmag'),
        'section' => 'split_block',
        'type' => 'select',
        'choices' => truthmag_author_meta(),
    )
);
$wp_customize->add_setting(
    'truthmag_options[split_block_author_meta_title]',
    array(
        'default' => $truthmag_default['split_block_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[split_block_author_meta_title]',
    array(
        'label' => __('Author Meta Text', 'truthmag'),
        'section' => 'split_block',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'truthmag_options[enable_split_block_date_meta]',
    array(
        'default' => $truthmag_default['enable_split_block_date_meta'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_split_block_date_meta]',
    array(
        'label' => esc_html__('Display Published Date', 'truthmag'),
        'section' => 'split_block',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_split_block_date]',
    array(
        'default' => $truthmag_default['select_split_block_date'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_split_block_date]',
    array(
        'label' => esc_html__('Select Date Meta', 'truthmag'),
        'section' => 'split_block',
        'type' => 'select',
        'choices' => truthmag_date_meta(),
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_split_block_date_meta_title]',
    array(
        'default' => $truthmag_default['select_split_block_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_split_block_date_meta_title]',
    array(
        'label' => __('Date Meta Text', 'truthmag'),
        'section' => 'split_block',
        'type' => 'text',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_split_block_date_format]',
    array(
        'default' => $truthmag_default['select_split_block_date_format'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_split_block_date_format]',
    array(
        'label' => esc_html__('Select Date Format', 'truthmag'),
        'section' => 'split_block',
        'type' => 'select',
        'choices' => truthmag_get_date_formats(),
    )
);
$wp_customize->add_setting(
    'truthmag_options[enable_split_block_category_meta]',
    array(
        'default' => $truthmag_default['enable_split_block_category_meta'],
        'sanitize_callback' => 'truthmag_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'truthmag_options[enable_split_block_category_meta]',
    array(
        'label' => esc_html__('Enable Category Meta', 'truthmag'),
        'section' => 'split_block',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting(
    'truthmag_options[select_split_block_number_of_category]',
    array(
        'default' => $truthmag_default['select_split_block_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_split_block_number_of_category]',
    array(
        'label' => __('Number of Category', 'truthmag'),
        'section' => 'split_block',
        'type' => 'number',
    )
);
$wp_customize->add_setting(
    'truthmag_options[split_block_category_label]',
    array(
        'default' => $truthmag_default['split_block_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'truthmag_options[split_block_category_label]',
    array(
        'label' => __('Category Label', 'truthmag'),
        'section' => 'split_block',
        'type' => 'text',
    )
);

$wp_customize->add_setting(
    'truthmag_options[select_split_block_category_color]',
    array(
        'default' => $truthmag_default['select_split_block_category_color'],
        'sanitize_callback' => 'truthmag_sanitize_select',
    )
);
$wp_customize->add_control(
    'truthmag_options[select_split_block_category_color]',
    array(
        'label' => esc_html__('Select Category Color', 'truthmag'),
        'section' => 'split_block',
        'type' => 'select',
        'choices' => truthmag_category_color(),
    )
);